<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

include_once ROOT_DIR . '/modules/global_competition/menu.php';
?>
<div class="content_bar" >
  <article class="postBox">
		
	<div class="h2-title-header"><h2><a>Архив конкурсов</a></h2></div>
	<div class="image_competition_archive_p"></div>
	<div class="textPreview" style="">
	  <p class="earnings_text" style="color: #545454;">
		Здесь отображается список последних 15 завершенных конкурсов, с информацией о победителях, суме вознаграждения, статусе зачисления, и дате проведения конкурса. 
	  </p>
	</div><br>
	<?

	$konkursResult = mysql_query( "SELECT * FROM konkurs_end ORDER BY id DESC LIMIT 15" );
	if ( mysql_num_rows( $konkursResult ) > 0 ) {
		while ( $konkursResultRow = mysql_fetch_array( $konkursResult ) ) {
			$month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
			
			#Определяем количиство призовых мест
			$i_limit = $konkursResultRow['number_of_prizes'];
			
			switch ( $konkursResultRow['type'] ) {
				case 0:
					$konkursType = 'Конкурс рекламодателя';
					break;
				case 1:
					$konkursType = 'Конкурс рефералов';
					break;
				case 2:
					$konkursType = 'Конкурс выполнения заданий';
					break;
				case 3:
					$konkursType = 'Конкурс размещения заданий';
					break;
			}
			?>
			<table class="standartTable" >
				<thead>
				  <th style="text-align: center; color: #333;" colspan="4">
				    <i class="fa fa-flag-checkered" aria-hidden="true"></i> 
					Дата проведения: с <?=( int ) date( 'd', $konkursResultRow['date_start'] ) . ' ' . $month[( int ) date( 'm', $konkursResultRow['date_start'] ) - 1] . ' ' . date( 'Y', $konkursResultRow['date_start'] )?> г.
					по <?=( int ) date( 'd', $konkursResultRow['date_end'] ) . ' ' . $month[( int ) date( 'm', $konkursResultRow['date_end'] ) - 1] . ' ' . date( 'Y', $konkursResultRow['date_end'] )?> г.
					( <font style="color: #D65152;"><?=$konkursType?></font> )
				  </th>
				</thead>
				<thead>
				  <th style="text-align: center; width: 115px;">Призовое место</th>
				  <th style="text-align: left;">Участник</th>
				  <th style="text-align: center; width: 100px;">Вознаграждение</th>
				  <th style="text-align: center; width: 110px;">Статус оплаты</th>
				</thead>
				<?
				for ( $i = 1; $i <= $i_limit; $i++ ) {
					$userKonkurs = mysql_fetch_array( mysql_query( "SELECT id, avatar, username FROM user WHERE id = '" . $konkursResultRow['iduser' . $i] . "'" ) );
					$prizKonkurs = mysql_fetch_array( mysql_query( "SELECT priz$i FROM konkurs_end WHERE id_konkurs = '" . $konkursResultRow['id_konkurs'] . "'" ) );
					$payKonkurs = $prizKonkurs['priz' . $i].' '.$config['valutaname'];
					?>
					<tr>
						<td style="text-align: center;"><?=$i?></td>
						<? 
						  if($userKonkurs['username'] != '') { 
						  ?>
							<td>
							  <a href="/id<?=$userKonkurs['id']?>">
							    <img src="/temp/avatar/<?=$userKonkurs['avatar']?>" class="img-circle competition-avatar-table" width="20" height="20" align="left" />
							  </a><?=$userKonkurs['username']?>
							</td>
							<td style="text-align: center; color: #3577D0;">+<?=$payKonkurs?></td>
							<td style="text-align: center; color: #2E8B57;"><i class="fa fa-check" aria-hidden="true"></i> перечислено</td>
						  <? } else { ?>
						    <td colspan="3" style="text-align: center; color: #939393;">победителя нет</td>
						  <? } ?>
					</tr>
					<?
				}
				?>
			</table>
			<br>
			<?
		}
	} else {
		?>
		  <br><div class="alert alert-warning" role="alert"><i class="fa fa-info-circle" aria-hidden="true"></i> Завершенных конкурсов не найдено.</div><br>
		  <div class="banner_gorizontal banner_gorizontal_fix"><? include_once ROOT_DIR . "/modules/banner468x60/rotator.php";?></div>
		<?
	}

	?>

  </article>
</div>